Style Fehlermeldung

Dieses Thema im Forum "Style und Design" wurde erstellt von oldie-teile, 25. Mai 2018.

  1. oldie-teile

    oldie-teile Neues Mitglied Lizenzinhaber

    Hallo mal wieder,

    nach einigem rumprobieren und spielen mit XF hab ich mich für einen Style von Themescorp entschieden, was wohl allerdings wie ich feststellen muss ein Fehler war denn weder auf Tickets noch per Email kommt da eine Antwort.

    Nun hoffe ich das hier jemand ist, der mir bei meinem (kleinen) Problem behilflich sein kann.

    Wobei das Problem erst mit dem Update auf XF 1.5.20 aufgetreten ist und auch mit der 1.5.21 nicht weg ist.

    XF installiert und soweit eingerichtet
    Style installiert (unter XF 1.5.17 und 19 gab es da auch keine Probleme)
    wie gesagt seit upgrade auf 1.5.20 bzw. 21 gibt es ne Fehlermeldung mit der ich allerdings als absoluter Laie nix anfangen kann.

    wenn ich den Style auswähle und die seite dann lade kommt folgende Fehlermeldung!

    Template Errors: PAGE_CONTAINER
    1. htmlspecialchars() expects parameter 1 to be string, array given in /home/www/cd-xpress.com/library/XenForo/Template/Abstract.php(279) : eval()'d code, line 4465:
      4464: {
      4465: $__compilerVar82 .= '<li><a href="' . htmlspecialchars($xenOptions['privacyPolicyUrl'], ENT_QUOTES, 'UTF-8') . '">' . 'Datenschutzerklärung' . '</a></li>';
      4466: }

    Wäre echt ganz lieb wenn von den Profis hier jemand helfen könnte :)


    Vielen Dank
     
  2. Kirby

    Kirby Bekanntes Mitglied Lizenzinhaber

    Das Style ist nicht mit 1.5.21 kompatibel, das Format der Einstellung für die URL der Datenschutzerklärung hat sich geändert.
    => Themescorp kontaktieren und nach einem Update fragen.

    Wenn das keine Option ist bzw. nicht zum Erfolg führt müsstest Du das Template PAGE_CONTAINER per Hand anpassen indem Du einen 3-Way-Compare durchführst:

    Zuerst vergleichst Du das Template PAGE_CONTAINER im Master-Style von 1.5.X (welches auch immer die Version des Themescorp-Styles ist) mit 1.5.21 und wendest die ermittelten Ändeungen analog auf das gleichnamige Template im Themescorp-Style an.
     
  3. oldie-teile

    oldie-teile Neues Mitglied Lizenzinhaber

    Hi,

    danke für die Info, allerdings hatte ich ja bereits erwähnt das von Seiten Themescorp nix kommt.
    Hatte da schon angefragt wegen eines Updates bzw. denen geschildert um was es geht.

    Aber weder auf Email noch auf ein Ticket wird geantwortet. Darum hatte ich ja hier auf Hilfe gehofft.
     
  4. Kirby

    Kirby Bekanntes Mitglied Lizenzinhaber

    Hab den Beitrag gerade noch ergänzt, allerdings hattest Du da wohl schon geantwortet während ich noch am tippen war ;)
     
  5. oldie-teile

    oldie-teile Neues Mitglied Lizenzinhaber

    Hi...

    danke nochmal, allerdings versteh ich nur Bahnhof, vielleicht könntest du mir das schritt für schritt erklären was ich wie machen muss.
     
  6. Kirby

    Kirby Bekanntes Mitglied Lizenzinhaber

    Das war eigentlich schon Schritt für Schritt ^.^
    Welches war denn die letze Version die einwandfrei funktioniert hat?
     
  7. mph

    mph Neues Mitglied Lizenzinhaber

    Der Fehler hängt mit der Datenschutzerklärung zusammen. Wahrscheinlich ist das im Template Footer zu finden.
    Im Template deines Theme suchst du wo "privacyPolicyUrl" steht. Was steht denn in der entsprechenden Zeile?

    Bei mir steht da in der Zeile folgendes drin:
    Code (Text):
    <li><a href="{$privacyPolicyUrl}">{xen:phrase privacy_policy}</a></li>
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden